"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePushRegisterEffect = void 0;
var _useIosVoipPushEventsSetupEffect = require("./useIosVoipPushEventsSetupEffect");
var _useProcessPushCallEffect = require("./useProcessPushCallEffect");
var _useInitAndroidTokenAndRest = require("./useInitAndroidTokenAndRest");
var _useIosInitRemoteNotifications = require("./useIosInitRemoteNotifications");
var _useProcessPushNonRingingCallEffect = require("./useProcessPushNonRingingCallEffect");
/**
 * This hook is used to do the initial setup for push notifications.
 * It must be used in a component which is a child of StreamVideo from bindings
 */
const usePushRegisterEffect = () => {
  (0, _useIosInitRemoteNotifications.useIosInitRemoteNotifications)();
  (0, _useIosVoipPushEventsSetupEffect.useIosVoipPushEventsSetupEffect)();
  (0, _useProcessPushNonRingingCallEffect.useProcessPushNonRingingCallEffect)();
  (0, _useProcessPushCallEffect.useProcessPushCallEffect)();
  (0, _useInitAndroidTokenAndRest.useInitAndroidTokenAndRest)();
};
exports.usePushRegisterEffect = usePushRegisterEffect;
//# sourceMappingURL=index.js.map