"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useIsInPiPMode = useIsInPiPMode;
var _react = require("react");
var _videoClient = require("@stream-io/video-client");
var _rxSubjects = require("../utils/internal/rxSubjects");
function useIsInPiPMode() {
  const [value, setValue] = (0, _react.useState)(() => {
    return _videoClient.RxUtils.getCurrentValue(_rxSubjects.isInPiPModeAndroid$);
  });
  (0, _react.useEffect)(() => {
    const subscription = _rxSubjects.isInPiPModeAndroid$.subscribe({
      next: setValue,
      error: err => {
        console.log('An error occurred while reading isInPiPModeAndroid$', err);
        setValue(false);
      }
    });
    return () => {
      subscription.unsubscribe();
    };
  }, []);
  return value;
}
//# sourceMappingURL=useIsInPiPMode.js.map