"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useIsIosScreenshareBroadcastStarted = useIsIosScreenshareBroadcastStarted;
var _react = require("react");
var _reactNative = require("react-native");
function useIsIosScreenshareBroadcastStarted() {
  const [hasStarted, setHasStarted] = (0, _react.useState)(false);
  (0, _react.useEffect)(() => {
    if (_reactNative.Platform.OS !== 'ios') {
      return;
    }
    const eventEmitter = new _reactNative.NativeEventEmitter(_reactNative.NativeModules.StreamVideoReactNative);
    const subscription = eventEmitter.addListener('StreamVideoReactNative_Ios_Screenshare_Event', event => {
      setHasStarted(event.name === 'iOS_BroadcastStarted');
    });
    return () => {
      subscription.remove();
    };
  }, []);
  return hasStarted;
}
//# sourceMappingURL=useIsIosScreenshareBroadcastStarted.js.map