"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePaginatedLayoutSortPreset = void 0;
var _videoClient = require("@stream-io/video-client");
var _react = require("react");
const resetSortPreset = call => {
  // reset the sorting to the default for the call type
  const callConfig = _videoClient.CallTypes.get(call.type);
  call.setSortParticipantsBy(callConfig.options.sortParticipantsBy || _videoClient.defaultSortPreset);
};
const usePaginatedLayoutSortPreset = call => {
  (0, _react.useEffect)(() => {
    if (!call) {
      return;
    }
    call.setSortParticipantsBy(_videoClient.paginatedLayoutSortPreset);
    return () => {
      resetSortPreset(call);
    };
  }, [call]);
};
exports.usePaginatedLayoutSortPreset = usePaginatedLayoutSortPreset;
//# sourceMappingURL=usePaginatedLayoutSortPreset.js.map