"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VolumeOn = exports.VolumeOff = exports.PlayIcon = exports.PauseIcon = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNativeSvg = require("react-native-svg");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const VolumeOn = ({
  color,
  size
}) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
  viewBox: "0 0 24 24",
  width: size,
  height: size
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M14 5.6v12.8c0 .88-1.04 1.32-1.66.8L7.5 15H5c-.6 0-1-.4-1-1v-4c0-.6.4-1 1-1h2.5l4.84-4.2c.62-.52 1.66-.08 1.66.8z",
  fill: color
}), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M16.5 8.5c1 1 1.5 2.3 1.5 3.5s-.5 2.5-1.5 3.5",
  stroke: color,
  strokeWidth: 1.5,
  strokeLinecap: "round"
}), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M18 6c1.5 1.5 2.5 3.6 2.5 6s-1 4.5-2.5 6",
  stroke: color,
  strokeWidth: 1.5,
  strokeLinecap: "round"
}));
exports.VolumeOn = VolumeOn;
const VolumeOff = ({
  color,
  size
}) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
  viewBox: "0 0 24 24",
  width: size,
  height: size
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M14 5.6v12.8c0 .88-1.04 1.32-1.66.8L7.5 15H5c-.6 0-1-.4-1-1v-4c0-.6.4-1 1-1h2.5l4.84-4.2c.62-.52 1.66-.08 1.66.8z",
  fill: color
}), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M3 3L21 21",
  stroke: color,
  strokeWidth: 2,
  strokeLinecap: "round"
}));
exports.VolumeOff = VolumeOff;
const PlayIcon = ({
  color,
  size
}) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
  viewBox: "0 0 24 24",
  width: size,
  height: size
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M8 5v14l11-7z",
  fill: color
}));
exports.PlayIcon = PlayIcon;
const PauseIcon = ({
  color,
  size
}) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
  viewBox: "0 0 24 24",
  width: size,
  height: size
}, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
  d: "M6 19h4V5H6v14zm8-14v14h4V5h-4z",
  fill: color
}));
exports.PauseIcon = PauseIcon;
//# sourceMappingURL=LivestreamControls.js.map