"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  StreamVideo: true,
  StreamCall: true
};
Object.defineProperty(exports, "StreamCall", {
  enumerable: true,
  get: function () {
    return _StreamCall.StreamCall;
  }
});
Object.defineProperty(exports, "StreamVideo", {
  enumerable: true,
  get: function () {
    return _StreamVideo.StreamVideo;
  }
});
var _setClientDetails = require("./utils/setClientDetails");
require("text-encoding-polyfill");
require("react-native-url-polyfill/auto");
require("intl-pluralrules");
var _reactNativeWebrtc = require("@stream-io/react-native-webrtc");
var _Logger = _interopRequireDefault(require("@stream-io/react-native-webrtc/src/Logger"));
var _reactNative = require("react-native");
var _videoClient = require("@stream-io/video-client");
Object.keys(_videoClient).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _videoClient[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _videoClient[key];
    }
  });
});
var _videoReactBindings = require("@stream-io/video-react-bindings");
Object.keys(_videoReactBindings).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _videoReactBindings[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _videoReactBindings[key];
    }
  });
});
var _components = require("./components");
Object.keys(_components).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _components[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _components[key];
    }
  });
});
var _contexts = require("./contexts");
Object.keys(_contexts).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _contexts[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _contexts[key];
    }
  });
});
var _hooks = require("./hooks");
Object.keys(_hooks).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _hooks[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _hooks[key];
    }
  });
});
var _theme = require("./theme");
Object.keys(_theme).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _theme[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _theme[key];
    }
  });
});
var _utils = require("./utils");
Object.keys(_utils).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _utils[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _utils[key];
    }
  });
});
var _translations = require("./translations");
Object.keys(_translations).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _translations[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _translations[key];
    }
  });
});
var _StreamVideo = require("./providers/StreamVideo");
var _StreamCall = require("./providers/StreamCall");
var _NoiseCancellation = require("./providers/NoiseCancellation");
Object.keys(_NoiseCancellation).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _NoiseCancellation[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _NoiseCancellation[key];
    }
  });
});
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/** Initialize text encoder/decoder polyfill */

/** Initialize URL polyfill */

/** i18next polyfill to handle intl format for pluralization. For more info see https://www.i18next.com/misc/json-format#i-18-next-json-v4 */

// We're registering globals, because our video JS client is serving SDKs that use browser based webRTC functions.
// This will result in creation of 2 global objects: `window` and `navigator`
// Reference: https://github.com/react-native-webrtc/react-native-webrtc/blob/16cff1523da457dbcc27bb0744ee2bad3a987c41/Documentation/BasicUsage.md#registering-globals
if (_reactNative.Platform.OS !== 'web') {
  (0, _reactNativeWebrtc.registerGlobals)();
}

// only enable warning and error logs from webrtc library
_Logger.default.enable(`${_Logger.default.ROOT_PREFIX}:(WARN|ERROR)`);

// Overriding 'StreamVideo' and 'StreamCall' from '@stream-io/video-react-bindings'
// Explicitly re-exporting to resolve ambiguity.

(0, _setClientDetails.setClientDetails)();
//# sourceMappingURL=index.js.map