"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAndroidDefaultRingtoneUrl = getAndroidDefaultRingtoneUrl;
var _videoClient = require("@stream-io/video-client");
var _reactNative = require("react-native");
async function getAndroidDefaultRingtoneUrl() {
  if (_reactNative.Platform.OS !== 'android') {
    return undefined;
  }
  try {
    const url = await _reactNative.NativeModules.StreamVideoReactNative?.getDefaultRingtoneUrl();
    return url;
  } catch (e) {
    const logger = (0, _videoClient.getLogger)(['getAndroidDefaultRingtoneUrl']);
    logger('warn', 'Failed to get default ringtone from native module', e);
  }
  return undefined;
}
//# sourceMappingURL=getAndroidDefaultRingtoneUrl.js.map