"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFirebaseMessagingLib = getFirebaseMessagingLib;
exports.getFirebaseMessagingLibNoThrow = getFirebaseMessagingLibNoThrow;
var _videoClient = require("@stream-io/video-client");
var _lib = require("./lib");
const INSTALLATION_INSTRUCTION = 'Please see https://rnfirebase.io/messaging/usage#installation for installation instructions';
function getFirebaseMessagingLib() {
  if (!_lib.lib) {
    throw Error('@react-native-firebase/messaging is not installed. ' + INSTALLATION_INSTRUCTION);
  }
  return _lib.lib;
}
function getFirebaseMessagingLibNoThrow(isExpo) {
  if (!_lib.lib) {
    const logger = (0, _videoClient.getLogger)(['getFirebaseMessagingLibNoThrow']);
    logger('debug', `${isExpo ? 'In Expo, @react-native-firebase/messaging library is required to receive ringing notifications in app killed state for Android.' : ''}${INSTALLATION_INSTRUCTION}`);
  }
  return _lib.lib;
}
//# sourceMappingURL=index.js.map