import React from 'react';
import { StyleSheet, View } from 'react-native';
import { useTheme } from '../../../contexts';
import { LivestreamAudioControlButton } from './LivestreamAudioControlButton';
import { LivestreamVideoControlButton } from './LivestreamVideoControlButton';

/**
 * Props for the LivestreamMediaControls component.
 */

/**
 * The LivestreamMediaControls component controls the media publish/unpublish for the host's live stream.
 */
export const LivestreamMediaControls = ({}) => {
  const {
    theme: {
      livestreamMediaControls
    }
  } = useTheme();
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, livestreamMediaControls.container]
  }, /*#__PURE__*/React.createElement(LivestreamAudioControlButton, null), /*#__PURE__*/React.createElement(LivestreamVideoControlButton, null));
};
const styles = StyleSheet.create({
  container: {
    flexDirection: 'row',
    alignItems: 'center'
  }
});
//# sourceMappingURL=LivestreamMediaControls.js.map