export function isFirebaseStreamVideoMessage(message) {
  return message.data?.sender === 'stream.video';
}
export function isNotifeeStreamVideoEvent(event) {
  const {
    detail
  } = event;
  const {
    notification
  } = detail;
  return notification?.data?.sender === 'stream.video';
}
export function isExpoNotificationStreamVideoEvent(event) {
  const trigger = event.request.trigger;
  if (trigger && typeof trigger === 'object' && 'type' in trigger && trigger.type === 'push') {
    // iOS
    const streamPayload = trigger.payload?.stream;
    // Android
    const remoteMessageData = trigger.remoteMessage?.data;
    return streamPayload?.sender === 'stream.video' || remoteMessageData?.sender === 'stream.video';
  }
  return false;
}
export function isPushNotificationiOSStreamVideoEvent(notification) {
  const data = notification.getData();
  const streamPayload = data?.stream;
  return streamPayload?.sender === 'stream.video';
}
//# sourceMappingURL=utils.js.map