import React from 'react';
/**
 * The props for the Accept Call button.
 */
type AcceptCallButtonProps = {
    /**
     * Handler to be called when the accept call button is pressed.
     */
    onPressHandler?: () => void;
    /**
     * Handler to be called after the incoming call is accepted.
     *
     * Note: If the `onPressHandler` is passed this handler will not be executed.
     */
    onAcceptCallHandler?: () => void;
};
/**
 * Button to accept a call.
 *
 * Mostly calls call.join() internally.
 */
export declare const AcceptCallButton: ({ onPressHandler, onAcceptCallHandler, }: AcceptCallButtonProps) => React.JSX.Element;
export {};
//# sourceMappingURL=AcceptCallButton.d.ts.map