import React from 'react';
import { type ViewProps } from 'react-native';
import { type HangUpCallButtonProps } from './HangupCallButton';
/**
 * Props for the CallControls Component.
 */
export type CallControlProps = Pick<ViewProps, 'style'> & Pick<HangUpCallButtonProps, 'onHangupCallHandler'> & {
    /**
     * Check if device is in landscape mode.
     * This will apply the landscape mode styles to the component.
     */
    landscape?: boolean;
};
/**
 * A list/row of controls (mute audio/video, toggle front/back camera, hangup call etc.)
 * the user can trigger within an active call.
 */
export declare const CallControls: ({ style, onHangupCallHandler, landscape, }: CallControlProps) => React.JSX.Element;
//# sourceMappingURL=CallControls.d.ts.map