import React from 'react';
import { type StreamReactionType } from '../CallContent';
/**
 * Props for the Reaction button
 */
export type ReactionsButtonProps = {
    /**
     * Supported Reactions to be sent while in the call.
     */
    supportedReactions?: StreamReactionType[];
    /**
     * Handler to be called when the reaction button is pressed.
     */
    onPressHandler?: () => void;
};
/**
 * Button to display the list of Reactions supported in the call.
 * On press, it opens a view that can be used to send Reaction.
 */
export declare const ReactionsButton: ({ supportedReactions, onPressHandler, }: ReactionsButtonProps) => React.JSX.Element;
//# sourceMappingURL=ReactionsButton.d.ts.map