import React from 'react';
/**
 * The props for the Screen Share button in the Call Controls.
 */
export type ScreenShareToggleButtonProps = {
    /**
     * Handler to be called when the screen-share has been started.
     *
     */
    onScreenShareStartedHandler?: () => void;
    /**
     * Handler to be called when the screen-share has been stopped.
     *
     */
    onScreenShareStoppedHandler?: () => void;
};
/**
 * Button to start/stop screen share.
 * Note: This button is enabled only on iOS >= 14.0 and any Android version.
 */
export declare const ScreenShareToggleButton: ({ onScreenShareStartedHandler, onScreenShareStoppedHandler, }: ScreenShareToggleButtonProps) => React.JSX.Element | null;
//# sourceMappingURL=ScreenShareToggleButton.d.ts.map