import React from 'react';
import { type ColorValue } from 'react-native';
/**
 * Props for the Toggle Camera face button.
 */
export type ToggleCameraFaceButtonProps = {
    /**
     * Handler to be called when the the video publishing button is pressed.
     * @returns void
     */
    onPressHandler?: () => void;
    /**
     * Background color of the button.
     */
    backgroundColor?: ColorValue;
};
/**
 * Button to toggle camera face(front/back) when in the call.
 */
export declare const ToggleCameraFaceButton: ({ onPressHandler, backgroundColor, }: ToggleCameraFaceButtonProps) => React.JSX.Element | undefined;
//# sourceMappingURL=ToggleCameraFaceButton.d.ts.map