import React from 'react';
import { type CallParticipantsListComponentProps } from '../CallParticipantsList/CallParticipantsList';
import type { CallContentProps } from '../CallContent';
import type { ParticipantViewComponentProps } from '../../Participant';
/**
 * Props for the CallParticipantsGrid component.
 */
export type CallParticipantsGridProps = ParticipantViewComponentProps & Pick<CallContentProps, 'supportedReactions' | 'CallParticipantsList'> & Pick<CallParticipantsListComponentProps, 'ParticipantView'> & {
    /**
     * Boolean to decide if local participant will be visible in the grid when there is 1:1 call.
     */
    showLocalParticipant?: boolean;
    /**
     * Check if device is in landscape mode.
     * This will apply the landscape mode styles to the component.
     */
    landscape?: boolean;
};
/**
 * Component used to display the list of participants in a grid mode.
 */
export declare const CallParticipantsGrid: ({ CallParticipantsList, ParticipantLabel, ParticipantNetworkQualityIndicator, ParticipantReaction, ParticipantVideoFallback, ParticipantView, VideoRenderer, showLocalParticipant, supportedReactions, landscape, }: CallParticipantsGridProps) => React.JSX.Element;
//# sourceMappingURL=CallParticipantsGrid.d.ts.map