import React, { type ComponentType } from 'react';
import { type JoinCallButtonProps } from './JoinCallButton';
import { type LobbyFooterProps } from './LobbyFooter';
/**
 * Props for the Lobby Component.
 */
export type LobbyProps = {
    /**
     * Handler to be called to join a call.
     */
    onJoinCallHandler?: () => void;
    /**
     * Component to customize the LobbyControls component.
     */
    LobbyControls?: ComponentType<{}> | null;
    /**
     * Component to customize the Join Call Button in the Lobby component.
     */
    JoinCallButton?: ComponentType<JoinCallButtonProps> | null;
    /**
     * Check if device is in landscape mode.
     * This will apply the landscape mode styles to the component.
     */
    landscape?: boolean;
    /**
     * Component to customize the Lobby Footer in the Lobby component.
     */
    LobbyFooter?: ComponentType<LobbyFooterProps> | null;
};
/**
 * Components that acts as a pre-join view for the call. Where you can preview your video and audio. Check for call details and check for number of participants already in the call.
 */
export declare const Lobby: ({ onJoinCallHandler, LobbyControls, JoinCallButton, landscape, LobbyFooter, }: LobbyProps) => React.JSX.Element;
//# sourceMappingURL=Lobby.d.ts.map