import React from 'react';
import { type IncomingCallControlsProps } from '../CallControls';
/**
 * Props for the IncomingCall Component.
 */
export type IncomingCallProps = IncomingCallControlsProps & {
    /**
     * Prop to customize the IncomingCall controls.
     */
    IncomingCallControls?: React.ComponentType<IncomingCallControlsProps> | null;
    /**
     * Check if device is in landscape mode.
     * This will apply the landscape mode styles to the component.
     */
    landscape?: boolean;
};
/**
 * An incoming call with the caller's avatar, name and accept/reject buttons.
 * Used when the user is receiving a call.
 */
export declare const IncomingCall: ({ onAcceptCallHandler, onRejectCallHandler, IncomingCallControls, landscape, }: IncomingCallProps) => React.JSX.Element;
export declare const styles: {
    background: {
        flex: number;
    };
    content: {
        flex: number;
    };
    topContainer: {
        flex: number;
        justifyContent: "center";
    };
    incomingCallText: {
        marginTop: number;
        textAlign: "center";
    };
    bottomContainer: {
        flex: number;
        justifyContent: "center";
    };
    incomingCallControls: {
        justifyContent: "center";
    };
};
//# sourceMappingURL=IncomingCall.d.ts.map