import React from 'react';
import { type OutgoingCallControlsProps } from '../CallControls';
/**
 * Props for the OutgoingCall Component.
 */
export type OutgoingCallProps = OutgoingCallControlsProps & {
    /**
     * Prop to customize the OutgoingCall controls.
     */
    OutgoingCallControls?: React.ComponentType<OutgoingCallControlsProps> | null;
    /**
     * Check if device is in landscape mode.
     * This will apply the landscape mode styles to the component.
     */
    landscape?: boolean;
};
/**
 * An outgoing call with the callee's avatar, name, caller's camera in background, reject and mute buttons.
 * Used after the user has initiated a call.
 */
export declare const OutgoingCall: ({ OutgoingCallControls, landscape, }: OutgoingCallProps) => React.JSX.Element;
//# sourceMappingURL=OutgoingCall.d.ts.map