import React from 'react';
import { type ViewProps } from 'react-native';
import { type HostStartStreamButtonProps } from './HostStartStreamButton';
import { type LivestreamMediaControlsProps } from './LivestreamMediaControls';
/**
 * Props for the HostLivestreamControls component.
 */
export type HostLivestreamControlsProps = HostStartStreamButtonProps & {
    /**
     * Component to customize the host's start/end live stream button.
     */
    HostStartStreamButton?: React.ComponentType<HostStartStreamButtonProps> | null;
    /**
     * Component to customize the host's media control(audio/video) buttons.
     */
    LivestreamMediaControls?: React.ComponentType<LivestreamMediaControlsProps> | null;
    onLayout?: ViewProps['onLayout'];
};
/**
 * The HostLivestreamControls component displays the call controls for the live stream at host's end.
 */
export declare const HostLivestreamControls: ({ HostStartStreamButton, LivestreamMediaControls, onEndStreamHandler, onStartStreamHandler, hls, disableStopPublishedStreamsOnEndStream, onLayout, }: HostLivestreamControlsProps) => React.JSX.Element;
//# sourceMappingURL=HostLivestreamControls.d.ts.map