import React from 'react';
/**
 * Props for the HostStartStreamButton component.
 */
export type HostStartStreamButtonProps = {
    /**
     * Handler to be called after the Start Stream button is pressed.
     * @returns void
     */
    onStartStreamHandler?: () => void;
    /**
     * Handler to be called after the End Stream button is pressed.
     * @returns void
     */
    onEndStreamHandler?: () => void;
    /**
     * Enable HTTP live streaming
     */
    hls?: boolean;
    /**
     * Disable the published streams to not be stopped if the host ends the livestream.
     */
    disableStopPublishedStreamsOnEndStream?: boolean;
};
/**
 * The HostStartStreamButton component displays and controls the start and end of the host's live stream.
 */
export declare const HostStartStreamButton: ({ onEndStreamHandler, onStartStreamHandler, hls, disableStopPublishedStreamsOnEndStream, }: HostStartStreamButtonProps) => React.JSX.Element;
//# sourceMappingURL=HostStartStreamButton.d.ts.map