import React from 'react';
import { type ViewProps } from 'react-native';
import { type ViewerLeaveStreamButtonProps } from './ViewerLeaveStreamButton';
/**
 * Props for the ViewerLivestreamControls component.
 */
export type ViewerLivestreamControlsProps = ViewerLeaveStreamButtonProps & {
    /**
     * Component to customize the leave stream button on the viewer's end live stream.
     */
    ViewerLeaveStreamButton?: React.ComponentType<ViewerLeaveStreamButtonProps> | null;
    /**
     * Handler to be called when the leave stream button is pressed.
     */
    onLeaveStreamHandler?: () => void;
    /**
     * Handler to be called when the layout of the component changes.
     */
    onLayout?: ViewProps['onLayout'];
};
/**
 * The ViewerLivestreamControls component displays the call controls for the live stream at viewer's end.
 */
export declare const ViewerLivestreamControls: ({ ViewerLeaveStreamButton, onLeaveStreamHandler, onLayout, }: ViewerLivestreamControlsProps) => React.JSX.Element;
//# sourceMappingURL=ViewerLivestreamControls.d.ts.map