import React from 'react';
import { type VideoRendererProps } from '../../Participant';
import type { ScreenShareOverlayProps } from '../../utility/ScreenShareOverlay';
/**
 * Props for the LivestreamLayout component.
 */
export type LivestreamLayoutProps = {
    landscape?: boolean;
    /**
     * Component to customize the video component of the participant.
     */
    VideoRenderer?: React.ComponentType<VideoRendererProps> | null;
    /**
     * Component to customize the ScreenShareOverlay.
     */
    ScreenShareOverlay?: React.ComponentType<ScreenShareOverlayProps> | null;
};
/**
 * The LivestreamLayout component presents the live stream video layout.
 */
export declare const LivestreamLayout: ({ landscape, VideoRenderer, ScreenShareOverlay, }: LivestreamLayoutProps) => React.JSX.Element;
//# sourceMappingURL=LivestreamLayout.d.ts.map