import React from 'react';
import { type ViewerLivestreamProps } from '../ViewerLivestream';
export type LivestreamPlayerProps = {
    /**
     * The call type. Usually `livestream`.
     */
    callType: string;
    /**
     * The call ID.
     */
    callId: string;
    /**
     * Component to override the ViewerLivestream component used under the hood.
     * **Default** [ViewerLivestream](https://github.com/GetStream/stream-video-js/blob/main/packages/react-native-sdk/src/components/Livestream/ViewerLivestream/ViewerLivestream.tsx)
     */
    ViewerLivestream?: React.ComponentType<ViewerLivestreamProps>;
    /**
     * Determines when the viewer joins the call.
     *
     * `"asap"` behavior means joining the call as soon as it is possible
     * (either the `join_ahead_time_seconds` setting allows it, or the user
     * has a the capability to join backstage).
     *
     * `"live"` behavior means joining the call when it goes live.
     *
     * @default "asap"
     */
    joinBehavior?: 'asap' | 'live';
};
export declare const LivestreamPlayer: ({ callType, callId, ViewerLivestream, joinBehavior, }: LivestreamPlayerProps) => React.JSX.Element | null;
//# sourceMappingURL=LivestreamPlayer.d.ts.map