import React from 'react';
import { type ViewProps } from 'react-native';
import { type DurationBadgeProps } from './DurationBadge';
import { type LiveIndicatorProps } from './LiveIndicator';
import { type FollowerCountProps } from './FollowerCount';
/**
 * Props for the HostLivestreamTopView component.
 */
export type HostLivestreamTopViewProps = {
    /**
     * Component to customize the Duration badge component on the host's live stream's top view.
     */
    DurationBadge?: React.ComponentType<DurationBadgeProps> | null;
    /**
     * Component to customize the Live indicator on the host's live stream's top view.
     */
    LiveIndicator?: React.ComponentType<LiveIndicatorProps> | null;
    /**
     * Component to customize the Follower count indicator on the host's live stream's top view.
     */
    FollowerCount?: React.ComponentType<FollowerCountProps> | null;
    onLayout?: ViewProps['onLayout'];
};
/**
 * The HostLivestreamTopView component displays the top view component of the host's live stream.
 */
export declare const HostLivestreamTopView: ({ DurationBadge, LiveIndicator, FollowerCount, onLayout, }: HostLivestreamTopViewProps) => React.JSX.Element;
//# sourceMappingURL=HostLivestreamTopView.d.ts.map