import React from 'react';
import { type ViewProps } from 'react-native';
import { type DurationBadgeProps } from './DurationBadge';
import { type LiveIndicatorProps } from './LiveIndicator';
import { type FollowerCountProps } from './FollowerCount';
/**
 * Props for the ViewerLivestreamTopView component.
 */
export type ViewerLivestreamTopViewProps = {
    /**
     * Component to customize the Duration badge component on the viewer's live stream's top view.
     */
    DurationBadge?: React.ComponentType<DurationBadgeProps> | null;
    /**
     * Component to customize the Live indicator on the viewer's live stream's top view.
     */
    LiveIndicator?: React.ComponentType<LiveIndicatorProps> | null;
    /**
     * Component to customize the Follower count indicator on the viewer's live stream's top view.
     */
    FollowerCount?: React.ComponentType<FollowerCountProps> | null;
    onLayout?: ViewProps['onLayout'];
};
/**
 * The ViewerLivestreamTopView component displays the top view component of the viewer's live stream.
 */
export declare const ViewerLivestreamTopView: ({ DurationBadge, LiveIndicator, FollowerCount, onLayout, }: ViewerLivestreamTopViewProps) => React.JSX.Element;
//# sourceMappingURL=ViewerLivestreamTopView.d.ts.map