import { type StyleProp, type ViewStyle } from 'react-native';
export declare enum FloatingViewAlignment {
    topLeft = 0,
    topRight = 1,
    bottomLeft = 2,
    bottomRight = 3
}
export type SnapAlignments = Record<FloatingViewAlignment, {
    x: number;
    y: number;
}>;
export declare function getSnapAlignments({ rootContainerDimensions, floatingViewDimensions, }: {
    rootContainerDimensions: {
        width: number;
        height: number;
    };
    floatingViewDimensions: {
        width: number;
        height: number;
    };
}): SnapAlignments;
export declare function getClosestSnapAlignment({ position, snapAlignments, }: {
    position: {
        x: number;
        y: number;
    };
    snapAlignments: SnapAlignments;
}): {
    x: number;
    y: number;
};
export type FloatingViewProps = React.PropsWithChildren<{
    initialAlignment: FloatingViewAlignment;
    containerWidth: number;
    containerHeight: number;
}>;
export declare const floatingChildViewContainerStyle: StyleProp<ViewStyle>;
//# sourceMappingURL=common.d.ts.map