import React from 'react';
import type { ParticipantViewProps } from './ParticipantView';
import type { CallContentProps } from '../../Call';
/**
 * Props for the ParticipantReaction component.
 */
export type ParticipantReactionProps = Pick<ParticipantViewProps, 'participant'> & Pick<CallContentProps, 'supportedReactions'> & {
    /**
     * The duration after which the reaction should disappear.
     *
     * @default 5500
     */
    hideAfterTimeoutInMs?: number;
};
/**
 * This component is used to display the current participant reaction.
 */
export declare const ParticipantReaction: ({ participant, supportedReactions, hideAfterTimeoutInMs, }: ParticipantReactionProps) => false | React.JSX.Element;
//# sourceMappingURL=ParticipantReaction.d.ts.map