import React from 'react';
/**
 * Props for the SpeechIndicator component.
 */
export type SpeechIndicatorProps = {
    /**
     * Indicates whether the participant is speaking.
     * If true, the animation will run, otherwise the bars will remain static.
     */
    isSpeaking: boolean;
};
/**
 * The SpeechIndicator component displays animated bars to indicate speech activity.
 * The bars animate when `isSpeaking` is true, mimicking a sound meter.
 */
export declare const SpeechIndicator: ({ isSpeaking }: SpeechIndicatorProps) => React.JSX.Element;
export default SpeechIndicator;
//# sourceMappingURL=SpeechIndicator.d.ts.map