import React from 'react';
import type { ParticipantViewProps } from './ParticipantView';
/**
 * Props for the VideoRenderer component.
 */
export type VideoRendererProps = Pick<ParticipantViewProps, 'ParticipantVideoFallback' | 'trackType' | 'participant' | 'isVisible' | 'objectFit' | 'videoZOrder'>;
/**
 * This component is used to display the video of the participant and fallback when the video is muted.
 *
 * It internally used `RTCView` to render video stream.
 */
export declare const VideoRenderer: ({ trackType, participant, isVisible, ParticipantVideoFallback, objectFit, videoZOrder, }: VideoRendererProps) => React.JSX.Element;
//# sourceMappingURL=VideoRenderer.d.ts.map