import React, { type PropsWithChildren } from 'react';
import { Call } from '@stream-io/video-client';
export type StreamCallProps = {
    /**
     * Stream Call instance propagated to the component's children as a part of StreamCallContext.
     * Children can access it with useCall() hook.
     */
    call: Call;
};
/**
 * StreamCall is a wrapper component that orchestrates the call life cycle logic and
 * provides the call object to the children components.
 * @param PropsWithChildren<StreamCallProps>
 *
 * @category Client State
 */
export declare const StreamCall: ({ call, children, }: PropsWithChildren<StreamCallProps>) => React.JSX.Element;
//# sourceMappingURL=index.d.ts.map