import { StreamVideoClient } from '@stream-io/video-client';
import type { StreamVideoConfig } from '../StreamVideoRN/types';
import { type FirebaseMessagingTypes, type NotifeeLib } from './libs';
type PushConfig = NonNullable<StreamVideoConfig['push']>;
type onBackgroundEventFunctionParams = Parameters<NotifeeLib['default']['onBackgroundEvent']>[0];
type Event = Parameters<onBackgroundEventFunctionParams>[0];
/** Send token to stream  */
export declare function initAndroidPushToken(client: StreamVideoClient, pushConfig: PushConfig, setUnsubscribeListener: (unsubscribe: () => void) => void): Promise<void>;
/**
 * Creates notification from the push message data.
 * For Ringing and Non-Ringing calls.
 */
export declare const firebaseDataHandler: (data: FirebaseMessagingTypes.RemoteMessage["data"]) => Promise<void>;
export declare const onAndroidNotifeeEvent: ({ event, isBackground, }: {
    event: Event;
    isBackground: boolean;
}) => Promise<void>;
export {};
//# sourceMappingURL=android.d.ts.map