"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const config_plugins_1 = require("@expo/config-plugins");
const withAppDelegate_1 = __importDefault(require("./withAppDelegate"));
const withAndroidPermissions_1 = __importDefault(require("./withAndroidPermissions"));
const withAndroidManifest_1 = __importDefault(require("./withAndroidManifest"));
const withiOSInfoPlist_1 = __importDefault(require("./withiOSInfoPlist"));
const withMainActivity_1 = __importDefault(require("./withMainActivity"));
const withMainApplication_1 = __importDefault(require("./withMainApplication"));
const withBuildProperties_1 = __importDefault(require("./withBuildProperties"));
const withAppBuildGradle_1 = __importDefault(require("./withAppBuildGradle"));
const withIosScreenCapture_1 = __importDefault(require("./withIosScreenCapture"));
// path should be relative to dist
const pkg = require('../../package.json');
const withStreamVideoReactNativeSDK = (config, props) => {
    return (0, config_plugins_1.withPlugins)(config, [
        // ios
        () => (0, withAppDelegate_1.default)(config, props),
        () => (0, withiOSInfoPlist_1.default)(config, props),
        () => (0, withIosScreenCapture_1.default)(config, props),
        // android
        () => (0, withAndroidPermissions_1.default)(config, props),
        withAppBuildGradle_1.default,
        withBuildProperties_1.default,
        () => (0, withAndroidManifest_1.default)(config, props),
        () => (0, withMainActivity_1.default)(config, props),
        () => (0, withMainApplication_1.default)(config, props),
    ]);
};
exports.default = (0, config_plugins_1.createRunOncePlugin)(withStreamVideoReactNativeSDK, pkg.name, pkg.version);
