"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const config_plugins_1 = require("@expo/config-plugins");
const plist_1 = __importDefault(require("@expo/plist"));
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const withFilesMod = (config) => (0, config_plugins_1.withPlugins)(config, [
    withBroadcastExtensionHandler,
    withBroadcastExtensionPlist,
]);
exports.default = withFilesMod;
// creates the extension handler directory and adds the SampleHandler.swift file
const withBroadcastExtensionHandler = (configuration) => {
    return (0, config_plugins_1.withDangerousMod)(configuration, [
        'ios',
        (config) => {
            const extensionRootPath = path.join(config.modRequest.platformProjectRoot, 'broadcast');
            fs.mkdirSync(extensionRootPath, { recursive: true });
            fs.copyFileSync(path.join(__dirname, '..', '..', 'static', 'SampleHandler.swift'), path.join(extensionRootPath, 'SampleHandler.swift'));
            return config;
        },
    ]);
};
// adds the Info.plist to the extension handler directory
const withBroadcastExtensionPlist = (configuration) => {
    return (0, config_plugins_1.withDangerousMod)(configuration, [
        'ios',
        (config) => {
            const extensionRootPath = path.join(config.modRequest.platformProjectRoot, 'broadcast');
            const extensionPlistPath = path.join(extensionRootPath, 'Info.plist');
            const extensionPlist = {
                NSExtension: {
                    NSExtensionPointIdentifier: 'com.apple.broadcast-services-upload',
                    NSExtensionPrincipalClass: '$(PRODUCT_MODULE_NAME).SampleHandler',
                    RPBroadcastProcessMode: 'RPBroadcastProcessModeSampleBuffer',
                },
            };
            fs.mkdirSync(path.dirname(extensionPlistPath), {
                recursive: true,
            });
            fs.writeFileSync(extensionPlistPath, plist_1.default.build(extensionPlist));
            return config;
        },
    ]);
};
