"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_plugins_1 = require("@expo/config-plugins");
const codeMod_1 = require("@expo/config-plugins/build/android/codeMod");
const withStreamVideoReactNativeSDKMainApplication = (configuration, props) => {
    return (0, config_plugins_1.withMainApplication)(configuration, (config) => {
        const isMainActivityJava = config.modResults.language === 'java';
        if (props?.addNoiseCancellation) {
            config.modResults.contents = (0, codeMod_1.addImports)(config.modResults.contents, ['io.getstream.rn.noisecancellation.NoiseCancellationReactNative'], isMainActivityJava);
            config.modResults.contents = addNoiseCancellationInsideOnCreate(config.modResults.contents, isMainActivityJava);
        }
        return config;
    });
};
function addNoiseCancellationInsideOnCreate(contents, isJava) {
    const addBlock = isJava
        ? `NoiseCancellationReactNative.registerProcessor(getApplicationContext());`
        : `NoiseCancellationReactNative.registerProcessor(applicationContext)`;
    if (!contents.includes(addBlock)) {
        contents = (0, codeMod_1.appendContentsInsideDeclarationBlock)(contents, 'onCreate', addBlock + '\n');
    }
    return contents;
}
exports.default = withStreamVideoReactNativeSDKMainApplication;
